For the complete documentation index, see llms.txt. This page is also available as Markdown.

Templates

Message Templates management proxy

get

List all your message templates.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Query parameters
limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get/api/v1/templates/
GET /api/v1/templates/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "name": "text",
      "category": "text",
      "language": "text",
      "components": [],
      "id": "text",
      "rejected_reason": "text",
      "status": "text"
    }
  ]
}
post

Create a new message template.

Editing templates is not supported. To update one of your templates, please delete current template and then create a new one.

Entire body schema follows schema as explained in WhatsApp Business API Message Templates documentation.

In above link, you can find more information about parameters, components, and buttons. There is also a list of all supported languages here.

The template is created via the 360dialog Messaging API and the result object contains id, status and category of the new template.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Body
namestringRequired

The name of the message template.

categorystringRequired

The type of message template. Values: ACCOUNT_UPDATE, PAYMENT_UPDATE, PERSONAL_FINANCE_UPDATE, SHIPPING_UPDATE, RESERVATION_UPDATE, ISSUE_RESOLUTION, APPOINTMENT_UPDATE, TRANSPORTATION_UPDATE, TICKET_UPDATE, ALERT_UPDATE, AUTO_REPLY

languagestringRequired

The language of message template, e.g. en_US

idstringRead-onlyRequired
rejected_reasonstringRead-onlyRequired
statusstringRead-onlyRequired
Responses
201Success
application/json
namestringRequired

The name of the message template.

categorystringRequired

The type of message template. Values: ACCOUNT_UPDATE, PAYMENT_UPDATE, PERSONAL_FINANCE_UPDATE, SHIPPING_UPDATE, RESERVATION_UPDATE, ISSUE_RESOLUTION, APPOINTMENT_UPDATE, TRANSPORTATION_UPDATE, TICKET_UPDATE, ALERT_UPDATE, AUTO_REPLY

languagestringRequired

The language of message template, e.g. en_US

idstringRead-onlyRequired
rejected_reasonstringRead-onlyRequired
statusstringRead-onlyRequired
post/api/v1/templates/
POST /api/v1/templates/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "name": "text",
  "category": "text",
  "language": "text",
  "components": []
}
201Success
{
  "name": "text",
  "category": "text",
  "language": "text",
  "components": [],
  "id": "text",
  "rejected_reason": "text",
  "status": "text"
}
delete

Delete a given message template.

The template is deleted by name, in all languages it exists in.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Path parameters
namestringRequired
Responses
204

No response body

No content

delete/api/v1/templates/{name}/
DELETE /api/v1/templates/{name}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
204

No response body

No content

post
Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Responses
202

Refresh operation is started and response is given immediately, before finish.

application/json
Other propertiesanyOptional
post/api/v1/templates/refresh/issue/
POST /api/v1/templates/refresh/issue/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
202

Refresh operation is started and response is given immediately, before finish.

{}
get
Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Responses
200Success
application/json
currently_refreshingbooleanOptionalDefault: false
get/api/v1/templates/refresh/status/
GET /api/v1/templates/refresh/status/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "currently_refreshing": false
}

Last updated

Was this helpful?